<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- xcode-module.qdoc -->
  <title>xcode QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">xcode QML Type</h1>
<span class="subtitle"></span>
<!-- $$$xcode-brief -->
<p>Provides Xcode support. <a href="#details">More...</a></p>
<!-- @@@xcode -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Since:</td><td class="memItemRight bottomAlign"> Qbs 1.5</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-xcode-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-xcode.html#availableSdkNames-prop">availableSdkNames</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-xcode.html#availableSdkVersions-prop">availableSdkVersions</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-xcode.html#developerPath-prop">developerPath</a></b></b> : path</li>
<li class="fn"><b><b><a href="qml-qbsmodules-xcode.html#latestSdkName-prop">latestSdkName</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-xcode.html#latestSdkVersion-prop">latestSdkVersion</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-xcode.html#platformPath-prop">platformPath</a></b></b> : path</li>
<li class="fn"><b><b><a href="qml-qbsmodules-xcode.html#sdk-prop">sdk</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-xcode.html#sdkName-prop">sdkName</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-xcode.html#sdkPath-prop">sdkPath</a></b></b> : path</li>
<li class="fn"><b><b><a href="qml-qbsmodules-xcode.html#sdkVersion-prop">sdkVersion</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-xcode.html#targetDevices-prop">targetDevices</a></b></b> : stringList</li>
</ul>
<!-- $$$xcode-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The <code>xcode</code> module contains properties and rules for Xcode-based development. This module provides the foundation for several other modules on Apple platforms, including the <a href="qml-qbsmodules-cpp.html">cpp</a> and <a href="qml-qbsmodules-ib.html">ib</a> modules.</p>
<!-- @@@xcode -->
<h2>Property Documentation</h2>
<!-- $$$availableSdkNames -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="availableSdkNames-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">availableSdkNames</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The canonical names of all SDKs available in the Xcode installation for the current platform.</p>
<p>For example, <code>[macosx10.9, macosx10.10]</code>.</p>
<p>Default: <a href="qml-qbsmodules-xcode.html#developerPath-prop">developerPath</a></p>
</div></div><!-- @@@availableSdkNames -->
<br/>
<!-- $$$availableSdkVersions -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="availableSdkVersions-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">availableSdkVersions</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The version numbers of all SDK available in the Xcode installation for the current platform.</p>
<p>For example, <code>[10.9, 10.10]</code>.</p>
<p>Default: <a href="qml-qbsmodules-xcode.html#developerPath-prop">developerPath</a></p>
</div></div><!-- @@@availableSdkVersions -->
<br/>
<!-- $$$developerPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="developerPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">developerPath</span> : <span class="type">path</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The developer directory of the Xcode installation.</p>
<p>Corresponds to the <code>DEVELOPER_DIR</code> environment variable.</p>
<p>Default: The developer directory of the Xcode installation at its default location in <code>/Applications</code>. For example, <code>&quot;/Applications/Xcode.app/Contents/Developer&quot;</code>.</p>
</div></div><!-- @@@developerPath -->
<br/>
<!-- $$$latestSdkName -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="latestSdkName-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">latestSdkName</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The canonical name of the latest SDK available in the Xcode installation.</p>
<p>For example, <code>macosx10.10</code>.</p>
<p>Default: <a href="qml-qbsmodules-xcode.html#developerPath-prop">developerPath</a></p>
</div></div><!-- @@@latestSdkName -->
<br/>
<!-- $$$latestSdkVersion -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="latestSdkVersion-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">latestSdkVersion</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The version number of the latest SDK available in the Xcode installation.</p>
<p>For example, 10.10.</p>
<p>Default: <a href="qml-qbsmodules-xcode.html#developerPath-prop">developerPath</a></p>
</div></div><!-- @@@latestSdkVersion -->
<br/>
<!-- $$$platformPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="platformPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">platformPath</span> : <span class="type">path</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path of the platform directory containing <a href="qml-qbsmodules-xcode.html#sdkPath-prop">sdkPath</a>.</p>
<p>Default: <a href="qml-qbsmodules-xcode.html#developerPath-prop">developerPath</a></p>
</div></div><!-- @@@platformPath -->
<br/>
<!-- $$$sdk -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="sdk-prop">
<td class="tblQmlPropNode"><p>
<span class="name">sdk</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The version of the Xcode SDK used to build products.</p>
<p>This can be specified as a full canonical SDK name (<code>&quot;macosx10.10&quot;</code>), a platform version number (<code>&quot;10.10&quot;</code>), or a platform identifier (<code>&quot;macosx&quot;</code>), in which case the latest SDK available for that platform will be used.</p>
<p>Default: The latest SDK available in the Xcode installation for the current platform. Determined by <a href="qml-qbsmodules-qbs.html#targetOS-prop">qbs.targetOS</a>.</p>
</div></div><!-- @@@sdk -->
<br/>
<!-- $$$sdkName -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="sdkName-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">sdkName</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The canonical name of the SDK used to build products.</p>
<p>For example, <code>macosx10.9</code>.</p>
<p>Default: <a href="qml-qbsmodules-xcode.html#sdk-prop">sdk</a></p>
</div></div><!-- @@@sdkName -->
<br/>
<!-- $$$sdkPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="sdkPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">sdkPath</span> : <span class="type">path</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path of the SDK used to build products. Equivalent to <a href="qml-qbsmodules-qbs.html#sysroot-prop">qbs.sysroot</a>.</p>
<p>Default: Determined by <a href="qml-qbsmodules-xcode.html#developerPath-prop">developerPath</a> and <a href="qml-qbsmodules-xcode.html#sdk-prop">sdk</a>.</p>
</div></div><!-- @@@sdkPath -->
<br/>
<!-- $$$sdkVersion -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="sdkVersion-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">sdkVersion</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The version number of the SDK used to build products.</p>
<p>For example, 10.9&#x2e;</p>
<p>Default: <a href="qml-qbsmodules-xcode.html#sdk-prop">sdk</a></p>
</div></div><!-- @@@sdkVersion -->
<br/>
<!-- $$$targetDevices -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="targetDevices-prop">
<td class="tblQmlPropNode"><p>
<span class="name">targetDevices</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of the Apple devices targeted by this product.</p>
<p>For <a href="nolink">macOS</a>, watchOS, and tvOS, this should always be <code>&quot;mac&quot;</code>, <code>&quot;watch&quot;</code>, and <code>&quot;tv&quot;</code>, respectively. For iOS, this can be one or both of <code>&quot;iphone&quot;</code> and <code>&quot;ipad&quot;</code>.</p>
<p>Default: The list of all device types supported by the current platform. Determined by <a href="qml-qbsmodules-qbs.html#targetOS-prop">qbs.targetOS</a>.</p>
</div></div><!-- @@@targetDevices -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
